Bug 64772 - [NVC1] nouveau GF108 kernel errors and graphics corruption when enabling second output
Summary: [NVC1] nouveau GF108 kernel errors and graphics corruption when enabling seco...
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-19 20:42 UTC by Pasi Kärkkäinen
Modified: 2014-09-11 12:54 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
nouveau errors, dmesg from Linux kernel 3.9.2 (72.64 KB, text/plain)
2013-05-19 20:42 UTC, Pasi Kärkkäinen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pasi Kärkkäinen 2013-05-19 20:42:09 UTC
Created attachment 79548 [details]
nouveau errors, dmesg from Linux kernel 3.9.2

I'm using Lenovo T430 laptop with intel/nvidia hybrid graphics, but optimus is disabled in BIOS, and only the Nvidia discreet GPU is enabled currently:

$ lspci | grep VGA
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [Quadro NVS 5400M] (rev a1)

I boot up the laptop with only using the laptop internal LVDS panel, and when in X session, I connect DVI cable to the docking station. xrandr now correctly shows DP2 as connected, and when I enable the DVI display, I get these nouveau errors in the kernel dmesg:

[  103.196252] nouveau  [   PLTCG][0000:01:00.0] LTC0_LTS0: 0x036f0040
[  103.196257] nouveau  [   PLTCG][0000:01:00.0] LTC0_LTS1: 0x036f0040
[  103.353160] nouveau E[      VM][0000:01:00.0] failed to create 0x04000000, -28
[  103.353163] nouveau E[      VM][0000:01:00.0] failed to create 0x02000000, -28
[  103.353923] nouveau E[      VM][0000:01:00.0] failed to create 0x04000000, -28
[  103.353925] nouveau E[      VM][0000:01:00.0] failed to create 0x02000000, -28
..
..

DVI monitor output actually gets enabled, and I can see the desktop there, but both the LVDS display and the DVI display are all messed up.

For example moving a window around leaves traces of other window contents, and the background image gets replaced with all kinds of corrupted patterns, so graphics looks quite weird and corrupted on both displays.

Switching back to only using the internal LVDS (disabling DVI/DP2 output) fixes the graphics corruptions.

$ uname -a
Linux localhost.localdomain 3.8.11-200.fc18.x86_64 #1 SMP Wed May 1 19:44:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

I also tried Linux kernel 3.9.2, and there I get exactly the same graphics corruption behaviour, but the kernel errors are slightly different:

[   91.533612] nouveau  [   PLTCG][0000:01:00.0] LTC0_LTS0: 0x036f0040
[   91.533618] nouveau  [   PLTCG][0000:01:00.0] LTC0_LTS1: 0x036f0040
[   91.533856] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x141820 [ IBUS ]
[  246.466283] nouveau E[      VM][0000:01:00.0] failed to create 0x04000000, -28
[  246.466287] nouveau E[      VM][0000:01:00.0] failed to create 0x02000000, -28
[  246.499229] nouveau E[      VM][0000:01:00.0] failed to create 0x04000000, -28
[  246.499232] nouveau E[      VM][0000:01:00.0] failed to create 0x02000000, -28


Dmesg from Linux 3.9.2 attached.
Comment 1 Ilia Mirkin 2013-09-06 22:12:17 UTC
There were some ltcg-related fixes in 3.11 -- can you retest?
Comment 2 Pasi Kärkkäinen 2013-09-23 15:19:27 UTC
Sure, I can re-test with a later kernel. I should be able to do it later this week.

Thanks.
Comment 3 Pasi Kärkkäinen 2013-09-27 16:55:37 UTC
Running Fedora 19 with latest updates and linux 3.11.1-200.fc19.x86_64 and it seems to work better now. 

I can successfully enable second DVI output, and there's no corruption anymore, the graphics on the second DVI display look OK now.

So that issue seems to be fixed!

I still get this in dmesg though:
[  353.398552] nouveau E[      VM][0000:01:00.0] failed to create 0x04000000, -28
[  353.398556] nouveau E[      VM][0000:01:00.0] failed to create 0x02000000, -28

But it doesn't seem fatal..
Comment 4 Ilia Mirkin 2013-11-09 20:20:06 UTC
Marking as fixed, as per the last comment.
Comment 5 Torsten Krah 2014-09-11 12:54:40 UTC
Hi, still seeing this one:

[15226.801343] nouveau E[      VM][0000:01:00.0] failed to create 0x04000000, -28
[15226.801349] nouveau E[      VM][0000:01:00.0] failed to create 0x02000000, -28
[15226.802648] nouveau E[      VM][0000:01:00.0] failed to create 0x04000000, -28
[15226.802653] nouveau E[      VM][0000:01:00.0] failed to create 0x02000000, -28
[15226.802708] nouveau E[      VM][0000:01:00.0] failed to create 0x04000000, -28
[15226.802711] nouveau E[      VM][0000:01:00.0] failed to create 0x02000000, -28
[15226.802810] nouveau E[      VM][0000:01:00.0] failed to create 0x04000000, -28
[15226.802813] nouveau E[      VM][0000:01:00.0] failed to create 0x02000000, -28

Seems to have no obvious impact but got those messages with kernel:

3.13.0-35-generic #62-Ubuntu

Should i open another ticket about those messages?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.